"use strict";

const createError = require("error-chain").create;
const defaultValue = require("default-value");

// FIXME: Update everything that uses end-of-stream-marker or aborted-marker to the new split-module API
module.exports =  createError("EndOfStream", {
	populate: (message) => {
		return { message: defaultValue(message, "There is no more data to read") };
	},
	context: {
		__ppstreams_isEndOfStreamMarker: true,
		__ppstreams_specVersion: 1
	}
});
